org.eclipse.jetty.websocket

## Interface WebSocket.OnFrame

- All Superinterfaces:
    WebSocket
  Enclosing interface:
    WebSocket

      public static interface WebSocket.OnFrame
      extends WebSocket

  A nested WebSocket interface for receiving any websocket frame

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocket

      `WebSocket.Connection, WebSocket.FrameConnection, WebSocket.OnBinaryMessage, WebSocket.OnControl, WebSocket.OnFrame, WebSocket.OnTextMessage`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onFrame(byte flags, byte opcode, byte[] data, int offset, int length)` Called when any websocket frame is received.
    `void` | `onHandshake(WebSocket.FrameConnection connection)`

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocket

      `onClose, onOpen`

- - ### Method Detail

    - #### onFrame

          boolean onFrame(byte flags,
                        byte opcode,
                        byte[] data,
                        int offset,
                        int length)

      Called when any websocket frame is received.
      Parameters:
        `flags` -
        `opcode` -
        `data` -
        `offset` -
        `length` -
      Returns:
        true if this call has completely handled the frame and no further processing is needed (including aggregation and/or message delivery)

    - #### onHandshake

          void onHandshake(WebSocket.FrameConnection connection)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.